



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>barchart</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="ac217cdc-5ffc-4463-af3d-838563c0b3bd" data-root-id="1489"></div>
            
          
        
      
      
        <script type="application/json" id="1591">
          {"cffe1add-fa9f-4a85-8410-620986410af7":{"roots":{"references":[{"attributes":{"end_angle":{"expr":{"id":"1514","type":"CumSum"},"units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1513","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1518","type":"Wedge"},{"attributes":{"axis_label":null,"formatter":{"id":"1522","type":"BasicTickFormatter"},"ticker":{"id":"1501","type":"BasicTicker"},"visible":false},"id":"1500","type":"LinearAxis"},{"attributes":{"dimension":1,"grid_line_color":null,"ticker":{"id":"1506","type":"BasicTicker"}},"id":"1509","type":"Grid"},{"attributes":{"callback":null},"id":"1494","type":"DataRange1d"},{"attributes":{},"id":"1522","type":"BasicTickFormatter"},{"attributes":{},"id":"1524","type":"BasicTickFormatter"},{"attributes":{"callback":null,"start":-0.5},"id":"1492","type":"Range1d"},{"attributes":{},"id":"1533","type":"UnionRenderers"},{"attributes":{},"id":"1496","type":"LinearScale"},{"attributes":{"axis_label":null,"formatter":{"id":"1524","type":"BasicTickFormatter"},"ticker":{"id":"1506","type":"BasicTicker"},"visible":false},"id":"1505","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1510","type":"HoverTool"}]},"id":"1511","type":"Toolbar"},{"attributes":{"label":{"field":"Age"},"renderers":[{"id":"1519","type":"GlyphRenderer"}]},"id":"1527","type":"LegendItem"},{"attributes":{},"id":"1498","type":"LinearScale"},{"attributes":{"text":"Average purchases made by Age groups"},"id":"1490","type":"Title"},{"attributes":{"items":[{"id":"1527","type":"LegendItem"}]},"id":"1526","type":"Legend"},{"attributes":{},"id":"1506","type":"BasicTicker"},{"attributes":{"end_angle":{"expr":{"id":"1514","type":"CumSum"},"units":"rad"},"fill_color":{"field":"color"},"line_color":{"value":"white"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1513","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1517","type":"Wedge"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1501","type":"BasicTicker"}},"id":"1504","type":"Grid"},{"attributes":{"field":"angle"},"id":"1514","type":"CumSum"},{"attributes":{},"id":"1534","type":"Selection"},{"attributes":{"field":"angle","include_zero":true},"id":"1513","type":"CumSum"},{"attributes":{"callback":null,"tooltips":"@Age: @Purchase"},"id":"1510","type":"HoverTool"},{"attributes":{"source":{"id":"1515","type":"ColumnDataSource"}},"id":"1520","type":"CDSView"},{"attributes":{"data_source":{"id":"1515","type":"ColumnDataSource"},"glyph":{"id":"1517","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1518","type":"Wedge"},"selection_glyph":null,"view":{"id":"1520","type":"CDSView"}},"id":"1519","type":"GlyphRenderer"},{"attributes":{},"id":"1501","type":"BasicTicker"},{"attributes":{"callback":null,"data":{"Age":["0-17","18-25","26-35","36-45","46-50","51-55","55"],"Purchase":{"__ndarray__":"eM2MPRCewUDV/x9KmQnCQD+nX2NLMcJAp7PwR71cwkAFv8SmbyLCQPH5ZO1OysJA5EGkBPN2wkA=","dtype":"float64","shape":[7]},"angle":{"__ndarray__":"VT8vGqXC6z8WaZZ3F2zsP8DPYjKkquw/rsy4TRnv7D9Oi1CIOpPsP8ITR/2/m+0/14SoCmYY7T8=","dtype":"float64","shape":[7]},"color":["#3182bd","#6baed6","#9ecae1","#c6dbef","#e6550d","#fd8d3c","#fdae6b"],"index":[0,1,2,3,4,5,6]},"selected":{"id":"1534","type":"Selection"},"selection_policy":{"id":"1533","type":"UnionRenderers"}},"id":"1515","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"1500","type":"LinearAxis"}],"center":[{"id":"1504","type":"Grid"},{"id":"1509","type":"Grid"},{"id":"1526","type":"Legend"}],"left":[{"id":"1505","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"1519","type":"GlyphRenderer"}],"title":{"id":"1490","type":"Title"},"toolbar":{"id":"1511","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1492","type":"Range1d"},"x_scale":{"id":"1496","type":"LinearScale"},"y_range":{"id":"1494","type":"DataRange1d"},"y_scale":{"id":"1498","type":"LinearScale"}},"id":"1489","subtype":"Figure","type":"Plot"}],"root_ids":["1489"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1591').textContent;
                  var render_items = [{"docid":"cffe1add-fa9f-4a85-8410-620986410af7","roots":{"1489":"ac217cdc-5ffc-4463-af3d-838563c0b3bd"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>